Summary:	Tools for converting websites from using GIFs to using PNGs
Name:		gif2png
Version:	2.5.1
Release:	%mkrel 2
License:	MIT style
Group:		Graphics
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%{name}-%{version}.tar.bz2
Patch0:		gif2png-libpng.patch
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
Requires:	python
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description 
Tools for converting GIFs to PNGs. The program gif2png converts GIF files to
PNG files. The Python script web2png converts an entire web tree, also patching
HTML pages to keep IMG SRC references correct.

%prep

%setup -q
%patch0 -p0

%build
%configure
%make
 
%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README NEWS COPYING AUTHORS
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2007.1
+ Revision: 145597
- added a patch from genttoo to make it compile with libpng-1.2.12 (P0)
- Import gif2png


			 
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-2mdv2007.1
- use the %%mrel macro

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 2.5.1-1mdk
- New release 2.5.1

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.4.7-2mdk
- Rebuild

* Thu Jul 31 2003 Daouda LO <daouda@mandrakesoft.com> 2.4.7-1mdk
- release 2.4.7
- change url

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.4.6-2mdk
- rebuild
- use %%make macro
- rm -rf %%{buildroot} in %%install, not %%prep
- drop Prefix tag

* Fri Dec 27 2002 Daouda LO <daouda@mandrakesoft.com> 2.4.6-1mdk
- release 2.4.6
	o Document masters converted to DocBook
	o Work around an apparent automake bug that produced bad SRPMs
	o Man page typo fix

* Tue Jun 18 2002 Daouda LO <daouda@mandrakesoft.com> 2.4.4-1mdk
- 2.4.4 release

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 2.4.2-2mdk
- s/Copyright/License 
- fix permissions on files

* Mon Jul 30 2001 Daouda LO <daouda@mandrakesoft.com> 2.4.2-1mdk
- release 2.4.2

* Fri Jan 05 2001 Geoff <snailtalk@mandrakesoft.com> 2.4.0-1mdk
- new and shiny source.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.3.2-3mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.2-2mdk
- macroszifications
- full url for src
- rebuilt for BM

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.3.2-1mdk
- Updated Version 
- Fixed Group for Mandrake

* Tue Feb 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Updated to 2.3.1

* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
-v2.2.5

* Mon Nov 08 1999 Camille Begnis <camille@mandrakesoft.com>
 
- Upgraded to 2.1.1
               
* Mon Nov 02 1999 Camille Begnis <camille@mandrakesoft.com>

- Upgraded to 2.0.1
					 
* Mon Oct 25 1999 Camille Begnis <camille@mandrakesoft.com>

- Specfile adaptions for Mandrake,
- Add python requirement,
- gz to bz2 compression,	 
